Index: sources/app/src/main/java/parkup/ParkUpApplication.java
===================================================================
--- sources/app/src/main/java/parkup/ParkUpApplication.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/src/main/java/parkup/ParkUpApplication.java	(revision c71fa065a5722f5055bb736c3818e0f2eb23ba3a)
@@ -3,4 +3,7 @@
 import org.springframework.boot.SpringApplication;
 import org.springframework.boot.autoconfigure.SpringBootApplication;
+import org.springframework.context.annotation.Bean;
+import org.springframework.security.core.Authentication;
+import org.springframework.security.core.context.SecurityContextHolder;
 
 @SpringBootApplication
@@ -12,3 +15,13 @@
         SpringApplication.run(ParkUpApplication.class, args);
     }
+
+    @Bean
+    public static Authentication getToken() {
+        Authentication token = null;
+        Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
+        if (authentication != null && !authentication.getAuthorities().stream().findFirst().get().getAuthority().equals("ROLE_ANONYMOUS")) {
+            token = authentication;
+        }
+        return token;
+    }
 }
Index: sources/app/src/main/java/parkup/data/WorkerDemoParkingZones.java
===================================================================
--- sources/app/src/main/java/parkup/data/WorkerDemoParkingZones.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/src/main/java/parkup/data/WorkerDemoParkingZones.java	(revision c71fa065a5722f5055bb736c3818e0f2eb23ba3a)
@@ -38,5 +38,5 @@
         this.role = v.getRole();
         this.status = v.getStatus();
-        this.locked=v.isEnabled();
+        this.locked=!v.isAccountNonLocked();
         this.pzNames = v.getParkingZones().stream().map(ParkingZone::getPzName).collect(Collectors.toList());
     }
Index: sources/app/src/main/java/parkup/data/enumarations/SessionStatus.java
===================================================================
--- sources/app/src/main/java/parkup/data/enumarations/SessionStatus.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/src/main/java/parkup/data/enumarations/SessionStatus.java	(revision c71fa065a5722f5055bb736c3818e0f2eb23ba3a)
@@ -2,6 +2,6 @@
 
 public enum SessionStatus {
+    STARTED_UNVERIFIED,
     STARTED_VERIFIED,
-    STARTED_UNVERIFIED,
     ENDED_UNPAID,
     ENDED_PAID
Index: sources/app/src/main/java/parkup/services/ParkingZoneService.java
===================================================================
--- sources/app/src/main/java/parkup/services/ParkingZoneService.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/src/main/java/parkup/services/ParkingZoneService.java	(revision c71fa065a5722f5055bb736c3818e0f2eb23ba3a)
@@ -2,5 +2,7 @@
 
 import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.security.core.Authentication;
 import org.springframework.stereotype.Service;
+import parkup.ParkUpApplication;
 import parkup.data.ParkingZoneAdminView;
 import parkup.data.ParkingZoneLocation;
@@ -13,5 +15,5 @@
 import parkup.repositories.ParkingZoneRepository;
 import parkup.repositories.WorkerRepository;
-
+import static parkup.ParkUpApplication.getToken;
 import javax.transaction.Transactional;
 import java.util.ArrayList;
@@ -37,5 +39,17 @@
 
     public List<ParkingZone> getAllParkingZones() {
-        List<ParkingZone> parkingZones= parkingZoneRepository.findAll();
+        Authentication user = getToken();
+        String role =user.getAuthorities().stream().findFirst().get().getAuthority();
+        String email = user.getName();
+        List<ParkingZone> parkingZones;
+        if(role.equals("ROLE_REG_USER"))
+            parkingZones= parkingZoneRepository.findAll();
+        else if(role.equals("ROLE_WORKER")){
+            Worker loggedInWorker = workerRepository.findWorkerByEmail(email).orElseThrow(null);
+            parkingZones= parkingZoneRepository.findAll().stream().filter(pz->loggedInWorker.getParkingZones().contains(pz)).collect(Collectors.toList());
+        }else if(role.equals("ROLE_ADMIN"))
+            parkingZones= parkingZoneRepository.findAll();
+        else
+            parkingZones=parkingZoneRepository.findAll();
         for(ParkingZone pz:parkingZones){
             setTransientVariables(pz);
Index: sources/app/src/main/java/parkup/services/WorkerService.java
===================================================================
--- sources/app/src/main/java/parkup/services/WorkerService.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/src/main/java/parkup/services/WorkerService.java	(revision c71fa065a5722f5055bb736c3818e0f2eb23ba3a)
@@ -115,5 +115,5 @@
                 workerOpt.get().setPassword(bCryptPasswordEncoder.encode(password));
             }
-            workerOpt.get().setAccount(locked);
+            workerOpt.get().setLocked(locked);
 
             if (firstName != null && firstName.length() > 1 && !Objects.equals(workerOpt.get().getFirstName(), firstName)) {
